<html>
<head>
    <style>
        svg {
            border: 1px;
            border-style: solid;
        }
        circle {
            fill: steelblue;
            opacity: 0.5;
        }
        circle:hover {
            fill: red;
            opacity: 1;
        }
        rect {
            fill: green;
            stroke: red;
        }
    </style>
</head>
<body>
    <svg width="300" height="300">
        <circle cx="20" cy="50" r="30"/>
        <rect x="100" y="200" width="70" height="30" />
    </svg>
</body>